Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# Locale::Language

Perl 5 version 26.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# Locale::Language

- NAME
- SYNOPSIS
- DESCRIPTION
- SUPPORTED CODE SETS
- ROUTINES
- SEE ALSO
- AUTHOR
- COPYRIGHT

# NAME

Locale::Language - standard codes for language identification

# SYNOPSIS

       use Locale::Language;   $lang = code2language('en');        # $lang gets 'English'   $code = language2code('French');    # $code gets 'fr'   @codes   = all_language_codes();   @names   = all_language_names();

# DESCRIPTION

This module provides access to standard codes used for identifying languages, such as those as defined in ISO 639.

Most of the routines take an optional additional argument which specifies the code set to use. If not specified, the default ISO 639 two-letter codes will be used.

# SUPPORTED CODE SETS

There are several different code sets you can use for identifying languages. A code set may be specified using either a name, or a constant that is automatically exported by this module.

For example, the two are equivalent:

       $lang = code2language('en','alpha-2');   $lang = code2language('en',LOCALE_LANG_ALPHA_2);

The codesets currently supported are:

- alpha-2, LOCALE_LANG_ALPHA_2

  This is the set of two-letter (lowercase) codes from ISO 639-1, such as 'he' for Hebrew. It also includes additions to this set included in the IANA language registry.

  This is the default code set.

- alpha-3, LOCALE_LANG_ALPHA_3

  This is the set of three-letter (lowercase) bibliographic codes from ISO 639-2 and 639-5, such as 'heb' for Hebrew. It also includes additions to this set included in the IANA language registry.

- term, LOCALE_LANG_TERM

  This is the set of three-letter (lowercase) terminologic codes from ISO 639.

# ROUTINES

- code2language(CODE [,CODESET] [,'retired'])
- language2code(NAME [,CODESET] [,'retired'])
- language_code2code(CODE ,CODESET ,CODESET2)
- all_language_codes([CODESET] [,'retired'])
- all_language_names([CODESET] [,'retired'])
- Locale::Language::rename_language(CODE ,NEW_NAME [,CODESET])
- Locale::Language::add_language(CODE ,NAME [,CODESET])
- Locale::Language::delete_language(CODE [,CODESET])
- Locale::Language::add_language_alias(NAME ,NEW_NAME)
- Locale::Language::delete_language_alias(NAME)
- Locale::Language::rename_language_code(CODE ,NEW_CODE [,CODESET])
- Locale::Language::add_language_code_alias(CODE ,NEW_CODE [,CODESET])
- Locale::Language::delete_language_code_alias(CODE [,CODESET])

  These routines are all documented in the Locale::Codes::API man page.

# SEE ALSO

- Locale::Codes

  The Locale-Codes distribution.

- Locale::Codes::API

  The list of functions supported by this module.

- http://www.loc.gov/standards/iso639-2/

  Source of the ISO 639-2 codes.

- http://www.loc.gov/standards/iso639-5/

  Source of the ISO 639-5 codes.

- http://www.iana.org/assignments/language-subtag-registry

  The IANA language subtag registry.

# AUTHOR

See Locale::Codes for full author history.

Currently maintained by Sullivan Beck (sbeck@cpan.org).

# COPYRIGHT

       Copyright (c) 1997-2001 Canon Research Centre Europe (CRE).   Copyright (c) 2001-2010 Neil Bowers   Copyright (c) 2010-2016 Sullivan Beck

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- SUPPORTED CODE SETS
- ROUTINES
- SEE ALSO
- AUTHOR
- COPYRIGHT